<template>
  <div>
    <v-dialog v-model="propDialog" persistent max-width="850">
      <v-card>
        <v-card-title>
          <span class="headline" v-if="propObj.locateName">
            พื้นที่ {{ propObj.locateName }}
          </span>
          <span class="headline" v-if="propObj.lockerCode">
            พื้นที่ {{ paramObj.locateName }} - รหัสล็อกเกอร์
            {{ propObj.lockerCode }}
          </span>
          <span class="headline" v-if="propObj.lockerRoomCode">
            พื้นที่ {{ paramObj.locateName }} - รหัสล็อกเกอร์
            {{ paramObj.lockerCode }} - ช่องล็อกเกอร์
            {{ propObj.lockerRoomCode }}
          </span>
          <v-spacer></v-spacer>
          <v-tooltip left>
            <template v-slot:activator="{ on, attrs }">
              <v-icon
                color="info"
                class="mr-2"
                v-bind="attrs"
                v-on="on"
                @click="showIncome(propObj)"
                v-if="!propObj.lockerRoomCode"
              >
                pageview
              </v-icon>
            </template>
            <span>ดูรายละเอียด</span>
          </v-tooltip>
        </v-card-title>
        <v-card-text>
          <v-container>
            <v-simple-table dense>
              <template v-slot:default>
                <thead>
                  <tr>
                    <th class="text-left" v-if="propHeader == 'W'">
                      ต่อสัปดาห์
                    </th>
                    <th class="text-left" v-if="propHeader == 'M'">ต่อเดือน</th>
                    <th class="text-left" v-if="propHeader == 'Y'">ต่อปี</th>
                    <th class="text-center">รายได้</th>
                  </tr>
                </thead>
                <tbody>
                  <tr v-for="i in propObj.incomes" :key="i.title">
                    <td class="text-left">{{ i.title }}</td>
                    <td class="text-center">{{ i.result }} บาท</td>
                  </tr>
                </tbody>
              </template>
            </v-simple-table>

            <br />
            <div class="headline">
              รวมเป็นรายได้ทั้งหมด
              {{ propObj.total }} บาท
            </div>
          </v-container>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
            color="blue darken-1"
            text
            @click="$emit('update:close', false)"
          >
            Close
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
export default {
  props: ["propDialog", "propObj", "propHeader", "paramObj"],
  data() {
    return { obj: {} };
  },
  methods: {
    showIncome(i) {
      this.obj = Object.assign({}, i);
      this.$router.push({
        path: i.path,
        query: { payload: this.obj },
      });
    },
  },
};
</script>

<style></style>
